out_ptr.h File Reference

Go to the source code of this file.

## Classes

class | std::inout_ptr_t< _Smart, _Pointer, _Args >
class | std::out_ptr_t< _Smart, _Pointer, _Args >

## Namespaces

namespace | std

## Functions

template<typename _Pointer = void, typename _Smart, typename... _Args>
auto | std::inout_ptr (_Smart &__s, _Args &&... __args)
template<typename _Pointer = void, typename _Smart, typename... _Args>
auto | std::out_ptr (_Smart &__s, _Args &&... __args)

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <memory>.

Definition in file out_ptr.h.